#ifndef OCARINA_SONGLIST_H
#define OCARINA_SONGLIST_H

#include <ocarina/gtk.h>
#include <libsaria/track.h>

#include <list>
#include <string>
using namespace std;

class SongList
{
	private:
		GtkWidget *window;
		GtkWidget *label;

		GtkWidget *treeview;
		GtkListStore *liststore;
		GtkCellRenderer *text_cell;

		void add_column(unsigned int);
		void freeze();
		void thaw();

	public:
		SongList();
		~SongList();

		void init(string);
		GtkWidget *get_window();
		GtkWidget *get_label();

		void insert(list<Track> &track_list);
		void clear();
};

#endif /* OCARINA_SONGLIST_H */
